<f:if condition="{model.showElement}">
	<div class="csc-form-{model.elementCounter} csc-form-element csc-form-element-{model.elementTypeLowerCase} o-form__item t-medium-24 columns is-last-in-row no-margin-bottom">
		<f:if condition="{model.additionalArguments.multiple}">
			<f:then>
				<f:form.checkbox
					class="{model.additionalArguments.class}"
					dir="{model.additionalArguments.dir}"
					id="{model.additionalArguments.id}"
					lang="{model.additionalArguments.lang}"
					style="{model.additionalArguments.style}"
					title="{model.additionalArguments.title}"
					accesskey="{model.additionalArguments.accesskey}"
					tabindex="{model.additionalArguments.tabindex}"
					onclick="{model.additionalArguments.onclick}"

					name="{model.additionalArguments.prefix}[{model.additionalArguments.name}][{model.name}]"
					value="<f:if condition='{model.additionalArguments.value}'><f:then>{model.additionalArguments.value}</f:then><f:else>{model.additionalArguments.name}-{model.elementCounter}</f:else></f:if>"

					checked="{model.additionalArguments.checked}"

					errorClass="{model.additionalAttributes.errorClass}"
					additionalAttributes="{model.htmlAttributes}"
				/>
			</f:then>
			<f:else>
				<f:form.checkbox
					class="{model.additionalArguments.class}"
					dir="{model.additionalArguments.dir}"
					id="{model.additionalArguments.id}"
					lang="{model.additionalArguments.lang}"
					style="{model.additionalArguments.style}"
					title="{model.additionalArguments.title}"
					accesskey="{model.additionalArguments.accesskey}"
					tabindex="{model.additionalArguments.tabindex}"
					onclick="{model.additionalArguments.onclick}"

					name="{model.additionalArguments.prefix}[{model.additionalArguments.name}]"
					value="<f:if condition='{model.additionalArguments.value}'><f:then>{model.additionalArguments.value}</f:then><f:else>{model.additionalArguments.name}-{model.elementCounter}</f:else></f:if>"

					checked="{model.additionalArguments.checked}"

					errorClass="{model.additionalAttributes.errorClass}"
					additionalAttributes="{model.htmlAttributes}"
				/>
			</f:else>
		</f:if>
		<label for="{model.additionalArguments.id}" class="o-form__label o-form__label--checkbox">
			{model.additionalArguments.label}
		</label>

		<f:if condition="{model.validationErrorMessages}">
			<ul class="parsley-errors-list filled" id="parsley-id-{model.elementCounter}"><li class="parsley-required">
				<f:if condition="{model.mandatoryValidationMessages}">
					<f:for each="{model.mandatoryValidationMessages}" as="mandatoryValidationMessage" iteration="iterator">{mandatoryValidationMessage}<f:if condition="{iterator.isLast}"><f:else> - </f:else></f:if></f:for>
				</f:if>
				<f:if condition="{model.validationErrorMessages}">
					<f:for each="{model.validationErrorMessages}" as="errorValidationMessage" iteration="iterator">{errorValidationMessage}<f:if condition="{iterator.isLast}"><f:else> - </f:else></f:if></f:for>
				</f:if>
			</li></ul>
		</f:if>
	</div>
</f:if>
